# rollingpolicy.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::rolling

## Classes

class | RollingPolicy
| A `RollingPolicy` is responsible for performing the rolling over of the active log file. More...

## Defines

#define | _LOG4CXX_ROLLING_ROLLING_POLICY_H

## Functions

| log4cxx::rolling::LOG4CXX_PTR_DEF (RollingPolicy)

## Define Documentation

#define _LOG4CXX_ROLLING_ROLLING_POLICY_H